# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KImageFilePreview Class Reference

Image preview widget for the file dialog. More...

`#include <kimagefilepreview.h>`

Inheritance diagram for KImageFilePreview:

[legend]
Collaboration diagram for KImageFilePreview:

[legend]
List of all members.

## Public Slots

virtual void | showPreview (const KURL &url)
virtual void | clearPreview ()

## Public Member Functions

| KImageFilePreview (QWidget *parent)
virtual QSize | sizeHint () const

## Protected Slots

void | showPreview ()
void | showPreview (const KURL &url, bool force)
void | toggleAuto (bool)
virtual void | gotPreview (const KFileItem *, const QPixmap &)

## Protected Member Functions

virtual void | resizeEvent (QResizeEvent *e)
virtual KIO::PreviewJob * | createJob (const KURL &url, int w, int h)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Image preview widget for the file dialog.

Definition at line 31 of file kimagefilepreview.h.

## Member Function Documentation

void KImageFilePreview::showPreview | ( | const KURL & | url | ) | `[virtual, slot]`

This slot is called every time the user selects another file in the file dialog.

Implement the stuff necessary to reflect the change here.

Parameters:

  | url | The URL of the currently selected file.

Implements KPreviewWidgetBase.

Definition at line 87 of file kimagefilepreview.cpp.

void KImageFilePreview::clearPreview | ( |  | ) | `[virtual, slot]`

| Reimplement this to clear the preview. This is called when e.g. the selection is cleared or when multiple selections exist, or the directory is changed. Implements KPreviewWidgetBase. Definition at line 171 of file kimagefilepreview.cpp. References QLabel::clear(), and KIO::Job::kill().

The documentation for this class was generated from the following files:

- kimagefilepreview.h
- kimagefilepreview.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003